<template>
  <accordion-element id="What are the PeerTube features for viewers?">
    <template #title>
      {{ $gettext('What are the PeerTube features for viewers?') }}
    </template>

    <div>
      <ul class="multi">
        <li>
          <strong>{{ $gettext('Enjoy a player with many features') }}</strong>

          <ul>
            <li>{{ $gettext('See the different chapters of the video in the progress bar') }}</li>
            <li>{{ $gettext('Preview the video frame while scrubbing the progress bar') }}</li>
            <li>{{ $gettext('The size of the player is automatically adjusted according to the video ratio') }}</li>
            <li>{{ $gettext('Choose subtitles, playback speed or video resolution in the player settings') }}</li>
            <li>
              <SafeHTML>
                {{ $gettext('Communicate with the streamer and other viewers using the <a target="_blank" rel="noopener noreferrer" href="https://livingston.frama.io/peertube-plugin-livechat/">livechat PeerTube plugin</a>') }}
              </SafeHTML>
            </li>
          </ul>
        </li>

        <li>
          <strong>{{ $gettext('Become a part of the broadcasting of the videos you are watching') }}</strong>

          <ul>
            <li>{{ $gettext('Help the PeerTube website to share videos and lives using P2P') }}</li>
            <li>{{ $gettext('Easily disable P2P in your account if logged-in or in your anonymous settings') }}</li>
          </ul>
        </li>

        <li>
          <strong>{{ $gettext('Customize the interface') }}</strong>

          <ul>
            <li>
              <SafeHTML>
                {{ $gettext('Update your name, avatar or description in <a target="_blank" rel="noopener noreferrer" href="https://docs.joinpeertube.org/use/setup-account#update-your-profile">your profile</a>', true) }}
              </SafeHTML>
            </li>

            <li>{{ $gettext('Set your appropriate NSFW policy (display, blur or hide NSFW videos)') }}</li>
            <li>{{ $gettext('Choose a PeerTube theme to change the look and feel of the interface') }}</li>
            <li>{{ $gettext('Automatically filter videos depending on many criteria (language, category, live/VOD etc)') }}</li>
            <li>{{ $gettext('Choose your autoplay policy') }}</li>
          </ul>
        </li>

        <li>
          <strong>{{ $gettext('Manage your library') }}</strong>

          <ul>
            <li>
              <SafeHTML>
                {{ $gettext('Use the built-in <em>Watch Later</em> playlist and add easily videos in it', true) }}
              </SafeHTML>
            </li>

            <li>
              <SafeHTML>
                {{ $gettext('Organize videos in public or private <a target="_blank" rel="noopener noreferrer" href="https://docs.joinpeertube.org/use/library#video-history">playlists</a>', true) }}
              </SafeHTML>
            </li>

            <li>{{ $gettext('Automatically resume videos from the last time you watched them') }}</li>
            <li>{{ $gettext('Check your watch history in a dedicated page') }}</li>
          </ul>
        </li>

        <li>
          <strong>{{ $gettext('Subscribe to channels') }}</strong>

          <ul>
            <li>{{ $gettext('Subscribe to local or remote channels to be notified when they publish videos') }}</li>
            <li>{{ $gettext('Display videos of your subscriptions in a dedicated page') }}</li>
          </ul>
        </li>

        <li>
          <strong>{{ $gettext('Share and interact with videos and playlists') }}</strong>

          <ul>
            <li>
              <SafeHTML>
                {{ $gettext('<a target="_blank" rel="noopener noreferrer" href="https://docs.joinpeertube.org/use/watch-video">Share</a> the video or the playlist URL/embed with attributes (automatically start/stop at, loop enabled, muted...)', true) }}
              </SafeHTML>
            </li>

            <li>{{ $gettext('Download a video using a dedicated modal') }}</li>
            <li>{{ $gettext('Comment, reply and rate videos using PeerTube or an ActivityPub compatible software (Mastodon, Pleroma...)') }}</li>
          </ul>
        </li>

        <li>
          <strong>{{ $gettext('Search videos, channels and playlists') }}</strong>

          <ul>
            <li>
              <SafeHTML>
                {{ $gettext('<a target="_blank" rel="noopener noreferrer" href="https://docs.joinpeertube.org/use/search">Search</a> local or remote videos, channels and playlists', true) }}
              </SafeHTML>
            </li>

            <li>{{ $gettext('Use many advanced filters (tags, category, licence...)') }}</li>
            <li>{{ $gettext('Use the video URL, playlist URL or channel handle/URL to fetch remote content') }}</li>
          </ul>
        </li>
      </ul>
    </div>
  </accordion-element>
</template>

<script>
  import { defineComponent } from 'vue'

  import AccordionElement from '../shared/AccordionElement.vue'

  export default defineComponent({
    components: {
      AccordionElement
    }
  })
</script>
